Welcome to the New BigPanda API Documentation
🚧 Authentication All BigPanda APIs require Bearer Token Authorization in the call headers. This API uses the User API Key type of Authorization token.
📘 Required permissions Your account must have the Role Managementpermission set toViewto use this endpoint.
❗ Rate limitations To maintain quality of service, the Biggy API is limited to 100 requests per minute. Additional requests will return a 429 response code and the request will need to be retried.
curl --location 'https://api.biggy.io/roles/65f0c8f8d73b2b0012ab1123' \
--header 'Authorization: Bearer <token>'{
"role": {
"id": "65f0c8f8d73b2b0012ab1111",
"name": "System Admin",
"type": "system",
"permissions": [
{
"resourceType": "user_mgmt",
"resourceName": "*",
"actions": [
"view",
"edit"
]
}
],
"createdAt": "2025-01-01T00:00:00.000Z",
"updatedAt": "2025-01-01T00:00:00.000Z"
}
}